<!---
	/* ***************************************************************
	/*
	Author: 	Carlos Villarreal Mora
	Name:		$comments.cfm
	Summary:	Uses XFBML to render Facebook's Comments plugin using data from the Custom Element
	History:
		2010-06-25 - CVM - Created
--->
<cfscript>
	request.element.isStatic = 0;
	items = attributes.elementInfo.elementData.propertyValues;
	if (arrayLen(items)) {
		commentsStruct = items[1].values;
		
		//initialize Facebook API
		application.facebook2.scripts.loadFacebookJS();
		
		//determine the Comments Box's unique ID based on URL and Element ID
		xid=URLEncodedFormat(cgi.server_name & cgi.script_name & attributes.elementInfo.id);
	}
</cfscript>

<cfif isDefined("commentsStruct")><cfoutput>
	<fb:comments xid="#xid#"
		<cfif len(commentsStruct.width)>width="#commentsStruct.width#" </cfif>
		<cfif len(commentsStruct.numposts) and commentsStruct.numposts gt 1>numposts="#commentsStruct.numposts#" </cfif>
	/>
</cfoutput></cfif>